Subject: Re: Some comment about Cygwin1.1.4
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: DJ Delorie <[email-masked]>
Date: Tue, 8 Aug 2000 10:19:52 -0400

I usually do something like:

(alias a=b) >/dev/null 2>&1 && echo "we're running bash"

to detect which shell is in use.

cgf

On Tue, Aug 08, 2000 at 12:08:43PM +0200, Christian J?nsson wrote:
>What about trying to execute "display-shell-version (C-x C-v)". If
>we're in a bash shell, we'd get the verision info (works on both
>bash1 and bash2) and I suppose that if we're on (a)sh we'd get nothing.
>
>Cheers,
>
>/ChJ
>
>
>Bob McGowan wrote:
>> 
>> DJ Delorie wrote:
>> >
>> > > echo $BASH_VERSION ?
>> >
>> > No, because if you run sh from bash, it may inherit that environment
>> > variable.
>> 
>> By default, it should not be exported, but a user could export it
>> themselves.
>> 
>> How about a double check of RANDOM?  If it gets exported, the inherited
>> value in (a)sh appears to be constant, while in bash it changes with
>> each access.  The only problem I can see with this is that a user could
>> unset RANDOM, then make a new variable with that name, but which will
>> not have the special feature.  I would think that this is rare enough to
>> maybe be ignored?
>> 
>> --
>> Bob McGowan
>> Staff Software Quality Engineer
>> VERITAS Software
>> [email-masked]
>> 
>> --
>> Want to unsubscribe from this list?
>> Send a message to [email-masked]
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

-- 
[email-masked]                        Cygnus Solutions, a Red Hat company
http://sourceware.cygnus.com/         http://www.redhat.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]